#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QAction>
#include <QTextEdit>

#include "PainterWidget.h"

class MainWindow : public QMainWindow {
    Q_OBJECT
private:
    QAction *actFileOpen,
            *actFileExit,
            *actHelpAbout;
    PainterWidget *painterWidget;
    QTextEdit *log;
public:
    MainWindow();
private:
    void initActions();
    void initMenuBar();
    void initToolBar();
    void initStatusBar();
    void initLog();
    void initTree();
private slots:
    void onMenuFileOpen();
    void onMenuFileExit();
    void onMenuHelpAbout();
};

#endif // MAINWINDOW_H
